Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1076705 - RHEV 3.3 rhevm-shell can't change cluster policy to a custom policy
Summary: RHEV 3.3 rhevm-shell can't change cluster policy to a custom policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On: 1062435 1108602
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-14 20:56 UTC by Dave Sullivan
Modified: 2018-12-06 16:09 UTC (History)
19 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Previously, the Red Hat Enterprise Virtualization Manager Command Line Interface (rhevm-shell), which is built on top of the Python SDK, did not support assigning custom scheduling policies to a cluster. The same limitation existed in the REST API. Now, custom scheduling policies can be assigned using a reference, by name or by ID, to the new '/schedulingpolicies' collection. The new options are '--scheduling_policy-name' and '--scheduling_policy-id'. The example below assigns a custom policy (by ID) to 'mycluster': # update cluster mycluster --scheduling_policy-id 00000000-0000-0000-0000-000000000000
Clone Of:
Environment:
Last Closed: 2015-02-11 17:59:11 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28093 master MERGED restapi: Introducing Scheduling Policy API Never

Comment 1 Juan Hernández 2014-03-17 09:45:26 UTC
This root cause of this issue is this oVirt bug 1071872.

Comment 3 Lukas Svaty 2014-08-12 12:08:09 UTC
VERIFIED in ovirt-rc1

verification steps:
1. Log to WA portal
2. Create new policy with name "foo"
3. on local machine:
curl -X PUT -H "Accept: application/xml" -H "Content-Type: application/xml" -u admin@internal:123456 --cacert ca.crt -d "<cluster><scheduling_policy><name>foo</name></scheduling_policy></cluster>" https://super.secret.address.dot:443/api/clusters/00000001-0001-0001-0001-000000000349
4. refresh cluster tab (it might be necessary to wait for few seconds) and see in cluster edit tab changed policy

Comment 6 errata-xmlrpc 2015-02-11 17:59:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.